Bug 130347 - CAN-2004-0457 mysqlhotcopy insecure temporary file vulnerability
CAN-2004-0457 mysqlhotcopy insecure temporary file vulnerability
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-08-19 10:30 EDT by Josh Bressers
Modified: 2013-07-02 23:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.23.58-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-19 09:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-08-19 10:30:59 EDT
Jeroen van Wolffelaar <jeroen@wolffelaar.nl> discovered an insecure
temporary file vulnerability in the mysqlhotcopy script when using the
scp method.

Sergei Golubchik <serg@mysql.com> has fixed this upstream with this
patch: http://lists.mysql.com/internals/15185

This issue should also affect FC1.
Comment 1 Tom Lane 2004-10-06 18:23:20 EDT
Fixed in mysql-3.23.58-11 and later.
Comment 2 Walter Justen 2005-08-19 09:39:09 EDT
Thanks for the bug report. This particular bug was fixed and a update package
was published for download. Please feel free to report any further bugs you find.

Note You need to log in before you can comment on or make changes to this bug.